| Home · All Classes · All Namespaces · Modules · Functions · Files

# RefCounted Class Reference

`#include <TelepathyQt4/shared-ptr.h>`

Inherited by MethodInvocationContext<>, AbstractClient, Account, AccountManager, Channel, ChannelDispatchOperation, ChannelRequest, ClientRegistrar, Connection, ConnectionManager, MediaStream, and MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >.

List of all members.

## Public Member Functions

- RefCounted ()
- virtual ~RefCounted ()
- void ref ()
- bool deref ()

## Public Attributes

- QAtomicInt strongref
- WeakData * wd

## Constructor & Destructor Documentation

RefCounted | ( |  | ) | `[inline]`

virtual ~RefCounted | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void ref | ( |  | ) | `[inline]`

bool deref | ( |  | ) | `[inline]`

## Member Data Documentation

QAtomicInt strongref `[mutable]`

WeakData* wd